### Type parameters

- #### A

- #### B

### Hierarchy

- MultiMap

## Index

### Constructors

- constructor

### Methods

- add
- clear
- deleteAllA
- deleteAllB
- getB
- sizeA

## Constructors

### constructor

- new MultiMap(): MultiMap

- - Defined in models/rule.ts:1049

  #### Returns MultiMap

## Methods

### add

- add(a: A, b: B): boolean

- - Defined in models/rule.ts:1066

  #### Parameters

  - ##### a: A

  - ##### b: B

  #### Returns boolean

### clear

- clear(): void

- - Defined in models/rule.ts:1053

  #### Returns void

### deleteAllA

- deleteAllA(a: A): void

- - Defined in models/rule.ts:1078

  #### Parameters

  - ##### a: A

  #### Returns void

### deleteAllB

- deleteAllB(b: B): Set<any>

- - Defined in models/rule.ts:1081

  #### Parameters

  - ##### b: B

  #### Returns Set<any>

### getB

- getB(a: A): undefined | Set<B>

- - Defined in models/rule.ts:1063

  #### Parameters

  - ##### a: A

  #### Returns undefined | Set<B>

### sizeA

- sizeA(): number

- - Defined in models/rule.ts:1094

  #### Returns number

Generated using TypeDoc